<?php
defined('TYPO3') or die();

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_igformlog_entries');

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
    'IgFormlog',
    'web',
    'list',
    'after:FormFormbuilder',
    [
        \Internetgalerie\IgFormlog\Controller\Backend\FormLogController::class => 'index, export',
    ],
    [
        'access' => 'user,group',
        'icon' => 'EXT:ig_formlog/Resources/Public/Icons/module-list.svg',
        'labels' => 'LLL:EXT:ig_formlog/Resources/Private/Language/locallang_mod_ig_formlog.xlf',
        'navigationComponentId' => '',
        'inheritNavigationComponentFromMainModule' => false,
    ]
);
